Gracias Gracias:  0
Me Gusta Me Gusta:  0
No me Gusta No me Gusta:  0
Página 1 de 3 123 ÚltimoÚltimo
Mostrando resultados del 1 al 10 de 24

Tema: Como instalar los repos necesarios a leap 15 para estar a la altura de TW

  1. #1
    Fecha de Ingreso
    29-agosto-2010
    Ubicación
    Sabadell ( Barcelona )
    Mensajes
    530
    Post Thanks / Like
    Poder de Credibilidad
    11

    Como instalar los repos necesarios a leap 15 para estar a la altura de TW

    Hola a todos
    Siguiendo los consejos de krovikan y karlggest y con animo de aprenderme gustaria instalar los repos necesarios como dicen en este post. https://paste.opensuse.org/71938835 y que
    me digais si esta web es la correcta para empezar,https://es.opensuse.org/Repositorios_de_KDE.
    Saludos

  2. #2
    Fecha de Ingreso
    16-noviembre-2010
    Ubicación
    Delante del ordenador
    Mensajes
    1.085
    Post Thanks / Like
    Poder de Credibilidad
    12
    Lee este hilo hasta el post nº 14:

    http://www.forosuse.org/forosuse/sho...ght=frameworks

    Aunque es para Leap 42.1 sirve igual.


    Muy importante que leas hasta el post nº 14 ya que los problemas que tuve fue por tener bloqueada una librería (de Bluez en mi caso).



    Saludos
    Última edición por Krovikan; 24-ene-2019 a las 12:19

  3. #3
    Fecha de Ingreso
    07-febrero-2007
    Ubicación
    Ourense
    Mensajes
    8.851
    Post Thanks / Like
    Poder de Credibilidad
    25
    Hola.


    Los repos de actualización han de usarse con pinzas, particularmente porque los componentes del sistema son muchos y tener todos los repositorios necesarios puede inducir a problemas. Ojo, lo que sigue es para versiones estables.



    Plasma 5.x y sus aplicaciones

    En mi experiencia he usado "sin problemas" Plasma 5.tropecientos; sin embargo sin problemas en este caso significa que o bien pasan cosas fácilmente arreglables o bien la actualización ha sido un rollo.


    Yo soy de los que utiliza YaST Software para manejar el software. Es más fácil buscar paquetes, info de los mismos, comprobar dependencias... A la hora de actualizar Plasma, hay una herramienta que permite "modificar el proveedor" si es necesario (para zypper hay una opción también ya que tampoco creo que venga así por defecto). En mi actualización no funcionó y tuve que manualmente dar el visto bueno de un montón de paquetes (muchos ). Acabada la instalación tuve un problema con okular para leer pdfs y no recuerdo qué tuve que actualizar (nada que no fuera más o menos fácil de buscar.. puede que libpoppler).


    Para esto yo tengo cuatro repos: Aplicaciones, Extra, Frameworks y QT5.



    Kernel
    El principal cambio de TW es que todo está compilado contra las nuevas versiones del kernel que van incorporando. Si tienes dispositivos raros puede ser una gran idea, pero para la mayoría de mortales avanzar en el kernel tiene muchos más riesgos que ventajas.


    LibreOffice
    A veces nuevas versiones de la suite ofimática incorporan nuevas ventajas. A veces no. De hecho, desde que cambié al SSD no había recuperado este repositorio y puede que lo incorpore otra vez más adelante. Ahora mismo estamos en las versiones 6.1.3.2 y la estable real es la 6.1.4. Quizá más adelante te interese cambiar a la 6.2


    Mozilla
    No veo mucha razón para tener el repo de Mozilla (tu navegador, en los tiempos que corren, si funciona no lo toques, y más si usas certificados digitales, dnie, etc.) pero si por alguna razón necesitas las nuevas características, ahí están.


    Hay muchos más repos para acercar más Leap a TW, pero muchos repositorios no solo te hacen más propensos a errores, sino que también pueden dificultar la actualización. Yo actualmente tengo los de Plasma 5 y como he dicho añadiré el de LibreOffice. Que yo recuerde, Krovikan tenía el de Kernel porque btrfs le daba algunos problemas. Cuando digo lo de no envidiar a TW, es porque la mayoría realmente usamos muy pocos programas, y ahí es sencillo que con unos cuantos repositorios tengas un resultado bastante bueno.


    Salud!!!

  4. #4
    Fecha de Ingreso
    29-agosto-2010
    Ubicación
    Sabadell ( Barcelona )
    Mensajes
    530
    Post Thanks / Like
    Poder de Credibilidad
    11
    Por lo que estoy viendo es un tema que supera mis posibilidades,dado mis escasos conocimientos,y
    tampoco mejoro lo que tengo,el leap 15 tal cual lo tengo funciona muy bien y prefiero no tocar nada.
    Agradezco vuestras aportaciones a mi post.
    Saludos

  5. #5
    Fecha de Ingreso
    07-febrero-2007
    Ubicación
    Ourense
    Mensajes
    8.851
    Post Thanks / Like
    Poder de Credibilidad
    25
    Hola.


    Esto comparado con lo del hardware es casi un juego de niños. Puedes usar YaST o zypper para hacerlo. Solo requiere algo de paciencia en algunos momentos, nada más.


    Lo primero es decidir qué se quiere tener actualizado. Supongamos Plasma 5.


    Los repositorios son:
    Código:
    | Nombre           | URL Repositorio 
    
    |  Qt5                   | http://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_15.0/
    | Frameworks5            | http://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_15.0/
    | KDE  Extra            |  http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_15.0/
    | Applications  KDE       | https://download.opensuse.org/repositories/KDE:/Applications/KDE_Frameworks5_openSUSE_Leap_15.0/
    Puedes usar YaST->Software -> Configuración->Repositorios para añadir desde URL, En nombre pones un nombre y la URL en la URL, sin más. Luego les asignas una prioridad menor que los demás repositorios.



    Supongo que el método manual de Krovikan con zypper dup <repositorio> funciona mejor, en mi caso simplemente comencé por actualizar el repositorio QT5 (Ver: Repositorios)


    Para usar YaST estas guías están desactualizadas pero te valdrán bien:


    En la guía de software te pone un ejemplo de instalar desde patrones; el de repositorios se selecciona en esa misma lista. En cuanto a la prioridad, basta que selecciones el repo a modificar y debajo verás que te pone varias opciones y la prioridad entre ellas.



    Las dudas y problemas que te puedan surgir las puedes consultar aquí, como siempre Ya te digo, en comparación con lo del hardware, esto es un juego de niños...


    Salud!!

  6. #6
    Fecha de Ingreso
    29-agosto-2010
    Ubicación
    Sabadell ( Barcelona )
    Mensajes
    530
    Post Thanks / Like
    Poder de Credibilidad
    11
    Gracias Karl.lo intentare.

    Saludos

    Una pregunta.
    La diferencia de hacerlo con yast o zypper en que conciste? yo probe algunos comandos
    que vi en el mensaje de Krovikan en consola y no sale tan extenso,es que zypper tiene
    otro editor?
    Última edición por catlib; 25-ene-2019 a las 12:44 Razón: mas informacion

  7. #7
    Fecha de Ingreso
    07-febrero-2007
    Ubicación
    Ourense
    Mensajes
    8.851
    Post Thanks / Like
    Poder de Credibilidad
    25
    Hola.


    zypper es el sistema de gestión de software de openSUSE. Bueno, matices y exactitudes etc aparte.


    YaST es el sistema de gestión gráfica o ncurses de todo openSUSE, incluyendo la instalación de software, gestión de repositorios y actualizaciones en línea.


    En muchas situaciones es mejor usar zypper, porque es más cómodo y sencillo (no deja de ser una herramienta de comandos, por ejemplo buscar un paquete es zypper se paquete, ya has visto como listar y manejar repositorios, etc.


    Yo que soy muy vago acostumbro a usar la herramienta gráfica de YaST. Es muy cómodo para buscar paquetes (no solo por el nombre), buscar software en repositorios concretos, patrones...


    Que yo sepa no hay mucha diferencia y es más cuestión de gusto o hábito.


    Salud!!


    nota: has leído los enlaces de la wiki que te puse?

  8. #8
    Fecha de Ingreso
    29-agosto-2010
    Ubicación
    Sabadell ( Barcelona )
    Mensajes
    530
    Post Thanks / Like
    Poder de Credibilidad
    11
    Después de la misteriosa desaparición de yast de ayer,hice una instalación limpia del sistema,por cierto
    con la rapidez con que lo hace ahora el pc da gusto,por lo cual ahora esta con las actualizaciones que
    vienen por defecto,por lo que creo seria la manera de gestionar los repositorios si me echáis una mano
    a la hora de configurar los repositorios en yast.
    Gracias por el soporte que me dais.
    Saludos

    Pdt. Si estaba con los enlaces e intentando ver las diferencias de usar zypper o yast cuando
    me di cuenta de que no tenia el enlace,ahora seguiré con ellos,pero como tu dices también
    prefiero yast voy a centrarme en aprender bien su manejo.
    Última edición por catlib; 26-ene-2019 a las 12:18 Razón: añadir información

  9. #9
    Fecha de Ingreso
    16-noviembre-2010
    Ubicación
    Delante del ordenador
    Mensajes
    1.085
    Post Thanks / Like
    Poder de Credibilidad
    12
    La última vez que me puse Framewoks 5 (Qt5 actualizado más Plasma y todas su apps actualizadas) que fue con Leap 15 no hice los dup por algún motivo (quizás fue montón de dependencias).


    Lo que hice fue:


    1. Añadir los repos (tengo en cuenta que ya tienes activo y en uso Packman con prioridad 70)



    Qt5 --> http://download.opensuse.org/reposit...USE_Leap_15.0/ con prioridad 91


    Frameworks5 --> http://download.opensuse.org/reposit...USE_Leap_15.0/ con prioridad 92



    KDE Apps --> http://download.opensuse.org/reposit...USE_Leap_15.0/ con prioridad 93



    KDE Extra --> http://download.opensuse.org/reposit...USE_Leap_15.0/ con prioridad 94


    2. Cambiar la prioridad de los 4 repos de opensuse (OSS, update OSS, NoN-OSS, update NoN-OSS) a 98


    3. En repos de programas que se vayan actualizando como Wine, Mozilla, Kernel (por ejemplo) poner la prioridad a 97


    4. Los repos de usar y tirar prácticamente a 99


    5. Abres el Instalar/Desinstalar de Yast2 y en el combo que se llama Ver (encima del campo de búsqueda) clicka y elige Repositorios si no tenías esta pestaña abierta.


    6. Clicka en la pestaña Repositorios y elige a la izquierda como hayas llamado al de Qt5. Verás a la derecha todos los paquetes que hay en ese repo.


    Ahora la parte burra que hice.


    7. Señala el primer paquete instalado y clicka en la pesta Versiones debajo del listado de paquetes. Elige el botón circular que pertenezca al repo Qt5.


    8. Repetir el punto 7 con todos los paquetes instalados que tengas en esa lista (el solito te va seleccionando dependencias).


    9. Una vez hecho esto y repasado otra vez desde el principio que todos los paquetes están con el circulito de Versiones en Qt5 pasamos al siguiente punto.
    CONSEJO: Una vez hayas hecho clik en un paquete y comprobado que está con el repo de Qt5 (lo verás fácil porque lo primero que llama la atención es fijarse en el nº de prioridad, en este caso 91) para pasar al siguiente paquete dale al cursor hacia abajo. Ganarás mucha velocidad que si tuvieras que ir clickando en cada paquete.



    10. Elige a la izquierda como hayas llamado al repo de Frameworks 5. Verás a la derecha todos los paquetes que hay en ese repo.


    11. Señala el primer paquete instalado y clicka en la pesta Versiones debajo del listado de paquetes. Elige el botón circular que pertenezca al repo Frameworks 5.


    12. Repetir el punto 11 con todos los paquetes instalados que tengas en esa lista (el solito te va seleccionando dependencias). Pero MUY IMPORTANTE:
    Los paquetes AppStream, AppStream-lang, libAppStreamQt2 y libappstream4 déjalos con el repo de Qt5. No los cambies al repo de Frameworks 5 (no recuerdo qué fue lo que me hizo tomar esta decisión).


    13. Una vez hecho esto y repasado otra vez desde el principio que todos los paquetes están con el circulito de Versiones en Framewoks 5 (excepto los 4 paquetes mencionados que se quedan en Qt5) pasamos al siguiente punto.
    CONSEJO: Una vez hayas hecho clik en un paquete y comprobado que está con el repo de Frameworks 5 (lo verás fácil porque lo primero que llama la atención es fijarse en el nº de prioridad, en este caso 92) para pasar al siguiente paquete dale al cursor hacia abajo. Ganarás mucha velocidad que si tuvieras que ir clickando en cada paquete.


    14. Elige a la izquierda como hayas llamado al repo de KDE Apps. Verás a la derecha todos los paquetes que hay en ese repo.


    15. Señala el primer paquete instalado y clicka en la pesta Versiones debajo del listado de paquetes. Elige el botón circular que pertenezca al repo KDE Apps.


    16. Repetir el punto 15 con todos los paquetes instalados que tengas en esa lista (el solito te va seleccionando dependencias). Pero MUY IMPORTANTE:
    Los paquetes libaccounts-qt5-1, libsignon-qt5-1, signon-plugins, signond y signond-libs déjalos con el repo de Qt5. No los cambies al repo de KDE Apps (no recuerdo qué fue lo que me hizo tomar esta decisión).
    El paquete libvidstab1_1 déjalo en el repo de Packman.


    17. Una vez hecho esto y repasado otra vez desde el principio que todos los paquetes están con el circulito de Versiones en KDE Apps (excepto los paquetes mencionados que se quedan en los repos que digo) pasamos al siguiente punto.
    CONSEJO: Una vez hayas hecho clik en un paquete y comprobado que está con el repo de KDE Apps (lo verás fácil porque lo primero que llama la atención es fijarse en el nº de prioridad, en este caso 93) para pasar al siguiente paquete dale al cursor hacia abajo. Ganarás mucha velocidad que si tuvieras que ir clickando en cada paquete.



    18. Elige a la izquierda como hayas llamado al repo de KDE Extra. Verás a la derecha todos los paquetes que hay en ese repo.


    19. Señala el primer paquete instalado y clicka en la pesta Versiones debajo del listado de paquetes. Elige el botón circular que pertenezca al repo KDE Extra.


    20. Repetir el punto 19 con todos los paquetes instalados que tengas en esa lista (el solito te va seleccionando dependencias). Pero MUY IMPORTANTE:
    Los paquetes libQtAV1, libQtAVWidgets1 y libopencv3_4 déjalos con el repo de Qt5. No los cambies al repo de KDE Extra (no recuerdo qué fue lo que me hizo tomar esta decisión).
    Los paquetes plasma-browser-integration y plasma-browser-integration-lang déjalos en el repo Frameworks 5.


    21. Una vez hecho esto y repasado otra vez desde el principio que todos los paquetes están con el circulito de Versiones en KDE Extra (excepto los paquetes mencionados que se quedan en los repos que digo) pasamos al siguiente punto.
    CONSEJO: Una vez hayas hecho clik en un paquete y comprobado que está con el repo de KDE Extra (lo verás fácil porque lo primero que llama la atención es fijarse en el nº de prioridad, en este caso 94) para pasar al siguiente paquete dale al cursor hacia abajo. Ganarás mucha velocidad que si tuvieras que ir clickando en cada paquete.







    22. Elige a la izquierda como hayas llamado al repo de Packman. Verás a la derecha todos los paquetes que hay en ese repo.


    23. Comprueba que todos los que están instalados de esa lista (sin excepciones) están con el circulito en el repo de Packman. Se ve fácil fijándose que están todas las versiones elegidas con el repo de prioridad 70.


    24. Aceptar y esperar a la instalación. Debería ir todo bien ya que así lo hice hace meses y va todo bien.




    Saludos

  10. #10
    Fecha de Ingreso
    07-febrero-2007
    Ubicación
    Ourense
    Mensajes
    8.851
    Post Thanks / Like
    Poder de Credibilidad
    25
    Hola.


    Cuando seleccionas un repositorio cualquiera, encima de la lista de paquetes hay un enlace que pone algo así como "cambiar a los paquetes de este repositorio" que lo que hace es sustituir el paquete instalado por el que se encuentra en este repositorio. En teoría eso debería de servir para evitar seleccionar todos los paquetes manualmente.


    También hay que activar en opciones la opción "permitir cambiar de fabricante".


    El orden es el indicado por krovikan. Los paquetes AppStream, AppStream-lang, libAppStreamQt2 y libappstream4 y otros que te sugiere krovikan más tarde puedes buscarlos manualmente y deseleccionarlos para que los deje en el repositorio QT5 (asegúrate viendo en la pestaña "versiones" que están así).


    En teoría, así no debería de darte más molestia instalar todo (fase a fase igual, es decir, vas al repositorio QT5 y cambias los paquetes a ese repositorio, cuando ya se han cambiado vuelves al instalador y haces lo propio con el resto de repositorios que has añadido para Plasma).


    En mi caso tuve que resolver manualmente un montón de dependencias de plasma, que básicamente consiste en seleccionar la opción "instalar cambiando de proveedor" en una lista muy larga de paquetes. Supuestamente la opción "permitir cambio de fabricante" (o proveedor, no me acuerdo qué pone ahora y no sé qué pondrá en tu traducción ) debería de haber evitado tener que hacer esa retahíla de selecciones, pero bueno en cualquier caso es mucho menos que hacer la selección manual que hizo krovikan o como mucho exactamente lo mismo


    Salud!!

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Temas Similares

  1. Pasar a Framework 5 en Leap 42.1
    By Krovikan in forum Escritorios: KDE, Gnome, otros...
    Respuestas: 23
    Último mensaje: 20-sep-2016, 20:52
  2. GUIA: Como instalar un programa o driver desde el codigo fuente
    By DiabloRojo in forum FAQs, Manuales y Tutoriales
    Respuestas: 1
    Último mensaje: 08-feb-2015, 10:48
  3. ¿cuantos gigas en total en partición para OpenSuse?
    By darkanxo in forum Instalación y Actualizaciones
    Respuestas: 12
    Último mensaje: 25-ene-2014, 11:06
  4. ¿porque ubuntu es mas popular q suse?
    By goundzchecky in forum El Contubernio
    Respuestas: 161
    Último mensaje: 16-ago-2012, 15:01
  5. Multiples cuestiones sobre opensuse por un usuario de ubuntu
    By dudoso100 in forum General OpenSUSE
    Respuestas: 18
    Último mensaje: 27-ene-2009, 21:16

Marcadores

Normas de Publicación

  • No puedes crear nuevos temas
  • No puedes responder mensajes
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •